Bug 1854312 - 4.4: Pods with PVCs attached takes long time to start
Summary: 4.4: Pods with PVCs attached takes long time to start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.4.z
Assignee: Jan Safranek
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On: 1854311
Blocks: 1836198 1870193
TreeView+ depends on / blocked
 
Reported: 2020-07-07 07:29 UTC by Jan Safranek
Modified: 2020-08-19 13:54 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1854311
Environment:
Last Closed: 2020-08-06 19:07:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25251 0 None closed Bug 1854312: 4.4: UPSTREAM: 92014: CSI: Modify VolumeAttachment check to use Informer/cache 2020-12-15 16:54:03 UTC
Red Hat Product Errata RHBA-2020:3237 0 None None None 2020-08-06 19:08:27 UTC

Comment 2 Jan Safranek 2020-07-08 08:32:53 UTC
Waiting for 4.5.z to open and 4.5.z clone to merge

Comment 9 Wei Duan 2020-07-31 11:40:49 UTC
We verified pass on 4.4.0-0.nightly-2020-07-30-212136.

We compared the attach duration with 4.4.14: 

without fix:
  first 300 volume: 7 min
  second 300 volume: 16 min
  last 30 volume: only 1 pod running after 15 min, 9 pod running after 30 min

with fix:
  first 300 volume: 6 min
  second 300 volume: 10min
  last 30 volume: 4 min



For the waiting pod:
Events:
  Type     Reason       Age                From                                                               Message
  ----     ------       ----               ----                                                               -------
  Normal   Scheduled    <unknown>          default-scheduler                                                  Successfully assigned wduan-100/mypod-1 to wduan-0731b-gxznm-worker-b-j2bsm.c.openshift-qe.internal
  Warning  FailedMount  7m57s              kubelet, wduan-0731b-gxznm-worker-b-j2bsm.c.openshift-qe.internal  Unable to attach or mount volumes: unmounted volumes=[local], unattached volumes=[default-token-kvgcp local]: timed out waiting for the condition
  Warning  FailedMount  70s (x4 over 10m)  kubelet, wduan-0731b-gxznm-worker-b-j2bsm.c.openshift-qe.internal  Unable to attach or mount volumes: unmounted volumes=[local], unattached volumes=[local default-token-kvgcp]: timed out waiting for the condition

Comment 10 Wei Duan 2020-07-31 12:07:51 UTC
Additional info:

It was verified on GCE with csi driver.

Comment 12 errata-xmlrpc 2020-08-06 19:07:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.4.16 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3237


Note You need to log in before you can comment on or make changes to this bug.